OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_CurveStyleFontPattern Class Reference

`#include <StepVisual_CurveStyleFontPattern.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_CurveStyleFontPattern ()
| Returns a CurveStyleFontPattern .
virtual Standard_EXPORT void | Init (const Standard_Real aVisibleSegmentLength, const Standard_Real aInvisibleSegmentLength)
Standard_EXPORT void | SetVisibleSegmentLength (const Standard_Real aVisibleSegmentLength)
Standard_EXPORT Standard_Real | VisibleSegmentLength () const
Standard_EXPORT void | SetInvisibleSegmentLength (const Standard_Real aInvisibleSegmentLength)
Standard_EXPORT Standard_Real | InvisibleSegmentLength () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Real | visibleSegmentLength
Standard_Real | invisibleSegmentLength

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_CurveStyleFontPattern::StepVisual_CurveStyleFontPattern | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_CurveStyleFontPattern::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_CurveStyleFontPattern::Init | ( | const Standard_Real | aVisibleSegmentLength,
|  | const Standard_Real | aInvisibleSegmentLength
| ) | `[virtual]`

Standard_EXPORT Standard_Real StepVisual_CurveStyleFontPattern::InvisibleSegmentLength | ( |  | ) | const

Standard_EXPORT void StepVisual_CurveStyleFontPattern::SetInvisibleSegmentLength | ( | const Standard_Real | aInvisibleSegmentLength | ) |

Standard_EXPORT void StepVisual_CurveStyleFontPattern::SetVisibleSegmentLength | ( | const Standard_Real | aVisibleSegmentLength | ) |

Standard_EXPORT Standard_Real StepVisual_CurveStyleFontPattern::VisibleSegmentLength | ( |  | ) | const

## Field Documentation

Standard_Real StepVisual_CurveStyleFontPattern::invisibleSegmentLength`[private]`

Standard_Real StepVisual_CurveStyleFontPattern::visibleSegmentLength`[private]`

The documentation for this class was generated from the following file:

- StepVisual_CurveStyleFontPattern.hxx